package com.wd.workoffice.model;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.SaleSaleContract;
import com.wd.workoffice.retrofit.RtfUtils;

import java.util.Map;

import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SaleSaleModel implements SaleSaleContract.Model {
    public static SaleSaleModel newInstance() {
        return new SaleSaleModel();
    }


    @Override
    public Observable<BaseBean> getOrder(Map<String, Object> param) {
        return RtfUtils.getRtf().getOrder(param);
    }

    @Override
    public Observable<BaseBean> getOutOrder(Map<String, Object> param) {
        return RtfUtils.getRtf().getOutOrder(param);
    }

    @Override
    public Observable<BaseBean> getInsideOrder(Map<String, Object> param) {
        return RtfUtils.getRtf().getInsideOrder(param);
    }

    @Override
    public Observable<BaseBean> getSupplierOrder(Map<String, Object> param) {
        return RtfUtils.getRtf().getSupplierOrder(param);
    }
}
